PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PFactoryBase::FactoryMap Class Reference

`#include <pfactory.h>`

Inheritance diagram for PFactoryBase::FactoryMap:
[legend]
Collaboration diagram for PFactoryBase::FactoryMap:
[legend]

## Public Member Functions
| ~FactoryMap ()
void | DestroySingletons ()

## Additional Inherited Members
Public Attributes inherited from std::map< K, T >
K | keys
| STL member. More...
T | elements
| STL member. More...

## Constructor & Destructor Documentation

PFactoryBase::FactoryMap::~FactoryMap | ( |  | ) |

## Member Function Documentation

void PFactoryBase::FactoryMap::DestroySingletons | ( |  | ) |

The documentation for this class was generated from the following file:

- pfactory.h